# REVOKE SCRATCHCARD Revoke, suspend or activate certificates associated to the request that use the specified scratchcard. Endpoint: POST /api/v1/scratchcards/revoke Version: v1 ## Request fields (application/json): - `scratchcard` (string, required) The scratchcard id number - `erc` (string, required) The scratchcard revocation code - `reason` (string, required) The reason associated to the scratchcard revocation: * UNSPECIFIED - Unspecified reason * KEYCOMPROMISE - Compromised keys * AFFILIATIONCHANGED - Affiliation changed * SUPERSEDED - Superseded * CESSATIONOFOPERATION - Ceased * PRIVILEGESWITHDRAWN - Privileges withdrawn The reason to suspend or activate a certificate when this is suspended: * CERTIFICATEHOLD - Suspend a certificate * NOT_REVOKED - Activate a certificate that was suspended Enum: "UNSPECIFIED", "KEYCOMPROMISE", "AFFILIATIONCHANGED", "SUPERSEDED", "CESSATIONOFOPERATION", "PRIVILEGESWITHDRAWN", "CERTIFICATEHOLD", "NOT_REVOKED" ## Response 200 fields (application/json): - `data` (string) The certificate associated to the revoked scratchard - `profile` (string) The certificate profile associated to the scratchcard - `subject` (string) The certificate subject information - `issuer` (string) The certificate issuer information - `valid_from` (string) The date when the certificate was enabled from (the format is YYYY-MM-DD) - `valid_to` (string) The date when the certificate was no longer enabled (the format is YYYY-MM-DD) - `serial_number` (string) The serial number associated to the scratchcard - `status` (string) The scratchcard status id - `pk` (string) The request id associated to the scratchcard - `revocation_reason` (string) The revocation reason id - `type` (string) The revocation type ## Response 400 fields (application/json): - `detail` (string) JSON syntax error ## Response 412 fields (application/json): - `code` (string) The response status code - `id` (string) The response status id - `error` (string) The response status message ## Response 500 fields (application/json): - `code` (string) The response status code - `id` (string) The response status id - `error` (string) The response status message